<?php

namespace App\Model;

interface ElasticObjectInterface
{
	public function elasticSearchLoad(string $lang, array $extend = []): array;

	public function elasticSearchUpdate();

	public function elasticSearchDelete();

	public function save(array $parameters = []): static;

	public function delete();
}
